
Foreman - Bug #968

cannot search a puppetclass by name

06/08/2011 03:35 PM - Gustavo Soares

Status: Closed   

Priority: Normal   

Assignee: Ohad Levy   

Category: Search   

Target version: 0.4   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

I've just updated my environment to version 0.3

Is am having trouble searching by puppetclass name under Settings > Puppetclass

I am getting:

Processing PuppetclassesController#index (for x.x.x.x at 2011-06-08 14:55:18) [GET]

Parameters: {"search"=>"role_"}

ActiveRecord::StatementInvalid (Mysql::Error: You have an error in your SQL syntax; check the manual that corresponds to your

MySQL server version for the right syntax to use near ')  ORDER BY LOWER LIMIT 0, 20' at line 1: SELECT DISTINCT

`puppetclasses`.id FROM `puppetclasses`  LEFT OUTER JOIN `environments_puppetclasses` ON

`environments_puppetclasses`.puppetclass_id = `puppetclasses`.id  LEFT OUTER JOIN `environments` ON `environments`.id =

`environments_puppetclasses`.environment_id  LEFT OUTER JOIN `hostgroups_puppetclasses` ON

`hostgroups_puppetclasses`.puppetclass_id = `puppetclasses`.id  LEFT OUTER JOIN `hostgroups` ON `hostgroups`.id =

`hostgroups_puppetclasses`.hostgroup_id WHERE (`puppetclasses`.`name` LIKE '%role_%' OR `environments`.`name` LIKE

'%role_%' OR `hostgroups`.`name` LIKE '%role_%' OR )  ORDER BY LOWER LIMIT 0, 20):

app/controllers/puppetclasses_controller.rb:18:in `index'

app/controllers/puppetclasses_controller.rb:16:in `index'

Associated revisions

Revision 7d46a25e - 06/12/2011 10:27 AM - Ohad Levy

fixes #968 - cannot search a puppetclass by name

History

#1 - 06/08/2011 03:45 PM - Ohad Levy

- Category set to Search

- Assignee set to Amos Benari

- Target version set to 0.4

#2 - 06/09/2011 02:48 AM - Ohad Levy

- Priority changed from High to Normal

#3 - 06/12/2011 10:27 AM - Ohad Levy

- Assignee changed from Amos Benari to Ohad Levy

#4 - 06/12/2011 12:49 PM - Ohad Levy

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset 7d46a25efe698cd083c8a5fe9c4e6444c698c5ec.
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/7d46a25efe698cd083c8a5fe9c4e6444c698c5ec


#5 - 09/26/2011 11:17 AM - Gustavo Soares

sorry for the late reply...

I've applied the patch to the downloaded 0.3 version and it seems that the search by name in puppetclass is not working.

Am I missing something?

Cheers
